Bug 468912 - Enabling Desktop Effects gives White Screen
Enabling Desktop Effects gives White Screen
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-radeonhd (Show other bugs)
10
All Linux
medium Severity medium
: ---
: ---
Assigned To: Hans Ulrich Niedermann
Fedora Extras Quality Assurance
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-10-28 15:24 EDT by Mads Kiilerich
Modified: 2009-12-02 18:40 EST (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-12-02 18:40:35 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
X log from session with problems - but nothing is logged because of that (161.05 KB, text/plain)
2008-10-28 15:24 EDT, Mads Kiilerich
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
FreeDesktop.org 19057 None None None Never

  None (edit)
Description Mads Kiilerich 2008-10-28 15:24:09 EDT
Created attachment 321722 [details]
X log from session with problems - but nothing is logged because of that

Description of problem:

radeonhd generally works fine (at least with a nomodeset kernel) and it seems snappier than the ati/radeon driver.

BUT when I log in as a user with Desktop Effects enabled then I see desktop icons for halv a second on a white background, and then everything gets white. Switching to other X's with ctrl-alt-Fn and back again works fine.

Desktop Effects works better (but with other problems) with ati/radeon driver, so I assume that the problem in this combination is related to radeonhd.

FWIW glxgears works fine, I assume that shows that some of the "advanced" X stuff works.

I have a plain xorg.conf in order to use radeonhd instead of auto-selecting ati/radeon driver.

AFAICS there is nothing interesting in the X log. Hardly any difference between the one with compiz and the one without.

They do however all have a strange "ascii" 80 in
(II) RADEONHD(0): On Crtc 0 Setting 59.9 Hz Mode: Modeline "<80>"  119.00  1680 1728 1760 1840  1050 1053 1059 1080 +hsync -vsync

lspci says
01:00.0 VGA compatible controller: ATI Technologies Inc RV516 [Radeon X1300/X1550 Series]
01:00.1 Display controller: ATI Technologies Inc RV516 [Radeon X1300 Pro] (Secondary)

Let me know if I can provide anything useful for debugging.


Version-Release number of selected component (if applicable):

kernel-2.6.27.4-58.fc10.i686 nomodeset
xorg-x11-drv-radeonhd-1.2.3-1.2.20081014git.fc10.i386
compiz-fusion-gnome-0.7.6-7.fc10.i386
Comment 1 Bug Zapper 2008-11-25 23:23:26 EST
This bug appears to have been reported against 'rawhide' during the Fedora 10 development cycle.
Changing version to '10'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 brianchad@westnet.com.au 2008-12-10 19:43:55 EST
3d (compiz) was working fine until the latest update for me 

xorg-x11-drv-radeonhd-1.2.3-1.6.20081128git.fc10.i386

glxinfo shows that it is using the software rasterizer .. is the mesa dri opengl thingy at fault here?

As stated .. it worked fine with the last version, but a recent update broke it.

Radeon X1650 card
Comment 3 Mads Kiilerich 2008-12-10 19:59:47 EST
I recently heard something like that the white screen (intentionally?) comes when compiz can't get hardware acceleration.

So, yes, the problem seems to be that hardware acceleration has been lost somehow. I could imagine that it could be related to the introcuction of kernel mode setting ...
Comment 4 Hans Ulrich Niedermann 2008-12-12 14:50:54 EST
Could you try booting with "nomodeset" on the kernel command line to check this out?

Then I could unify three open bugs into one "DRI or KMS, choose one" bug.
Comment 5 brianchad@westnet.com.au 2008-12-12 17:44:35 EST
nomodeset makes no difference, so i dont think its the modesetting in the kernel
Comment 6 brianchad@westnet.com.au 2008-12-17 22:54:21 EST
I have just some more experiments. I cant get either the radeon or radeonhd drivers for xorg to do 3D .. and glxinfo reports using the software rasteriser.

This is is with kernel 2.6.27.7-134.fc10.i686

For the sake of completeness, I went back to the previous kernel. 2.6.27.5-117.fc10.i686, and lo and behold 3D works, and glxinfo reports

OpenGL vendor string: DRI R300 Project
OpenGL renderer string: Mesa DRI R300 20060815 AGP 8x x86/MMX+/3DNow!+/SSE TCL
OpenGL version string: 1.3 Mesa 7.3-devel

looks like a kernel issue after all
Comment 7 Richard Schwarting 2009-01-19 04:42:19 EST
The Radeon HD 3200 on my HP tx2617ca also is using the software rasteriser, and radeon and radeonhd end up without 3D acceleration, and compiz thus leads to a whitescreen.
Comment 8 Robin Panda 2009-01-27 02:32:07 EST
I had this problem with my X1300, turns out that DRI is disabled by default, see the line in the attached log that says:
(II) RADEONHD(0): Direct rendering turned off by default. Use Option "DRI" to enable.

Adding:
Option "DRI" "on"
Got me those fabulous wobbly windows.

Also worth noting, however, that I disabled modesetting with nomodeset. It may not be required, but I've seen plenty of people say it is, and I disabled it because it was causing the keyboard/display to hang with the other (radeon) driver if X restarts or I switch VTs. I saved the plymouth boot with vga=792.
Comment 9 Benjamín Valero Espinosa 2009-02-01 05:05:31 EST
(In reply to comment #3)
> I recently heard something like that the white screen (intentionally?) comes
> when compiz can't get hardware acceleration.
> 
> So, yes, the problem seems to be that hardware acceleration has been lost
> somehow. I could imagine that it could be related to the introcuction of kernel
> mode setting ...

If this behaviour is intentional is very annoying. I have noticed it on installing Fedora with users already created that had desktop effects enabled before. All works again when I install Nvidia drivers, that are not in the main repository.

I think there should be a way of disable automatically (for that session at least) desktop effects if compiz can't get hardware acceleration instead that pretty white screen.

Maybe bugs #461459 and #444977 are related.
Comment 10 Bug Zapper 2009-11-18 03:41:13 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 11 Mads Kiilerich 2009-12-02 18:40:35 EST
Long time no see. Closing.

Note You need to log in before you can comment on or make changes to this bug.